Package org.apache.tapestry5

## Class TapestryMarkers

- java.lang.Object
- - org.apache.tapestry5.TapestryMarkers

-     public class TapestryMarkers
      extends java.lang.Object

  A set of markers used internally by Tapestry when logging in code related to paqes and components. Most logging toolkits, including Log4J, do not incorporate markers, but LOGBack does.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static org.slf4j.Marker` | `CLASS_TRANSFORMATION` | Logs the final version of the class transformation.
    `static org.slf4j.Marker` | `EVENT_DISPATCH` | Marker for logging related to component event dispatch.
    `static org.slf4j.Marker` | `EVENT_HANDLER_METHOD` | Marker for a debug log that occurs just before invocation of a event handler method.
    `static org.slf4j.Marker` | `RENDER_COMMANDS` | Marker for logging, at trace level, verbose details about each individual `RenderCommand` involved in rendering the page, as well as a final (debug level) summary of command count and elapsed time.
    `static org.slf4j.Marker` | `TAPESTRY` | A root marker for all things Tapestry related.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TapestryMarkers()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TAPESTRY

          public static final org.slf4j.Marker TAPESTRY

      A root marker for all things Tapestry related. The remaining markers are children of the TAPESTRY marker.

    - #### CLASS_TRANSFORMATION

          public static final org.slf4j.Marker CLASS_TRANSFORMATION

      Logs the final version of the class transformation. This is useful when debugging component class transformers, as it shows exactly what transformation operations occurred, at the Java code level.

    - #### EVENT_HANDLER_METHOD

          public static final org.slf4j.Marker EVENT_HANDLER_METHOD

      Marker for a debug log that occurs just before invocation of a event handler method.

    - #### EVENT_DISPATCH

          public static final org.slf4j.Marker EVENT_DISPATCH

      Marker for logging related to component event dispatch.

    - #### RENDER_COMMANDS

          public static final org.slf4j.Marker RENDER_COMMANDS

      Marker for logging, at trace level, verbose details about each individual `RenderCommand` involved in rendering the page, as well as a final (debug level) summary of command count and elapsed time.

  - ### Constructor Detail

    - #### TapestryMarkers

          public TapestryMarkers()